Package org.apache.ignite.internal.processors.query.stat.hll.serialization

## Interface IWordDeserializer

All Known Implementing Classes:
  `BigEndianAscendingWordDeserializer`

    public interface IWordDeserializer

Reads 'words' of a fixed width, in sequence, from a byte array.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `readWord()`
`int` `totalWordCount()` Returns the number of words that could be encoded in the sequence.

### Method Detail

#### readWord

    long readWord()

Returns:
  the next word in the sequence. Should not be called more than `totalWordCount()` times.

#### totalWordCount

    int totalWordCount()

Returns the number of words that could be encoded in the sequence.

NOTE: the sequence that was encoded may be shorter than the value this method returns due to padding issues within bytes. This guarantees only an upper bound on the number of times `readWord()` can be called.

Returns:
  the maximum number of words that could be read from the sequence.